Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

Different version of Qt used in shared library?



  • I have a Qt5 based GUI application and Qt4 based shared library.
    Is it possible to open that shared library from the main GUI application?
    Is it required to port shared library to Qt5 to make it working?
    Please note that shared library links with Qt4 statically.


  • Moderators

    You need to port that library to Qt5 for it to work


Log in to reply